#! /usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fenc=utf-8
#
# Copyright (C) 2000-2019 Synology Inc. All rights reserved.
#
# Created by:   jamiec
# Created on:   2019-11-28

import sys
import os
import sdk

SYNO_MIGRATION_CONFIG="/usr/syno/etc/synomigration/info.cfg"
SYNO_MIGRATION_SCRIPT_DIR="/usr/syno/etc/synomigration/scripts/python/space/"
CMD_SPACE=SYNO_MIGRATION_SCRIPT_DIR+"space.py"
CMD_PKG_LOCK=SYNO_MIGRATION_SCRIPT_DIR+"package_start_lock.py"
CMD_FEA_CHECK= SYNO_MIGRATION_SCRIPT_DIR+"feasibility_check.py"
CMD_USR=SYNO_MIGRATION_SCRIPT_DIR+"user.py"
CMD_RM="/bin/rm"


def unload_space():
    if not os.path.isfile(sdk.SZF_DEV_ARG):
        sdk.log("file {} does not exist".format(sdk.SZF_DEV_ARG))
        return

    with open(sdk.SZF_DEV_ARG, "r") as file:
        dev_arg = file.read()
        if not sdk.CmdExecutor([CMD_SPACE, "unload_all", dev_arg]):
            sdk.log("fail to unload drbd")


if __name__ == '__main__':

    unload_space()

    if not sdk.CmdExecutor([CMD_PKG_LOCK, "unlock"]):
        sdk.log("fail to unlock package lock")

    if not sdk.CmdExecutor([CMD_FEA_CHECK, "unregister"]):
        sdk.log("fail to remove all feasibility checks")

    if not sdk.CmdExecutor([CMD_USR, "delete", "MigrationAssistant"]):
        sdk.log("fail to delete package user")

    if not sdk.CmdExecutor([CMD_RM, "-rf", SYNO_MIGRATION_CONFIG]):
        sdk.log("fail to remove all config / resources")

    exit(0)


# vim:set shiftwidth=4 tabstop=4 expandtab:
