#! /usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fenc=utf-8
#
# Copyright (C) 2000-2019 Synology Inc. All rights reserved.
#
# Created by:   jamiec
# Created on:   2019-01-03

import sys
import sdk

def service_on():
    if not sdk.SynoServiceStartAll():
        sdk.log("fail to start services")
        exit(-1)

    exit(0)


def service_off():
    if not sdk.SynoServiceStopAll():
        sdk.log("fail to stop services")
        exit(-1)

    exit(0)


if __name__ == '__main__':
    subcommand = {
        'on': service_on,
        'off': service_off
    }
    if len(sys.argv) > 1 and sys.argv[1] in subcommand:
        subcommand[sys.argv[1]]()
    else:
        sdk.log("invalid argument")
        exit(-1)

# vim:set shiftwidth=4 tabstop=4 expandtab:
