#! /usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fenc=utf-8
#
# Copyright (C) 2000-2019 Synology Inc. All rights reserved.
#
# Created by:   jamiec
# Created on:   2019-01-03

import sys
import sdk

def register_space_progress():
    mount_point = sys.argv[2]
    port = sys.argv[3]

    if not mount_point or not port:
        sdk.log("invalid argument")
        exit(-1)

    # create new config
    sdk.log("[INFO] create space progress file")
    if not sdk.SpaceProgressReg(mount_point, int(port)-7400):
        sdk.log("fail to register space progress")
        exit(-1)

    exit(0)


def unregister_space_progress():
    mount_point = sys.argv[2]
    port = sys.argv[3]

    if not port:
        sdk.log("invalid argument")
        sys.exit(-1)

    if not sdk.SpaceProgressUnreg(int(port)-7400):
        sdk.log("fail to unregister space progress")
        exit(-1)

    exit(0)


if __name__ == '__main__':
    subcommand = {
        'register': register_space_progress,
        'unregister': unregister_space_progress
    }
    if len(sys.argv) > 1 and sys.argv[1] in subcommand:
        subcommand[sys.argv[1]]()
    else:
        sdk.log("invalid argument")
        exit(-1)

# vim:set shiftwidth=4 tabstop=4 expandtab:
