#!/bin/sh
# Used for feasibility check of shutdown / reboot

SZF_MIGRATOR_PROGRESS="/var/packages/MigrationAssistant/etc/progress"

if [ -f $SZF_MIGRATOR_PROGRESS ]; then
	status=$(jq -r .status $SZF_MIGRATOR_PROGRESS)
	main_stage=$(jq -r .main_stage $SZF_MIGRATOR_PROGRESS)
	allow_reboot=$(jq -r .allow_reboot $SZF_MIGRATOR_PROGRESS)

	# we really need to reboot
	if [ "reboot" == "$main_stage" -a "true" == "$allow_reboot" ] ||
	   [ "finished" == "$main_stage" ]; then
		exit 0
	fi

	# migration is still running
	if [ "running" == "$status" ] ||
	   [ "pausing" == "$status" ] || [ "cancelling" == "$status" ]; then
		exit 1
	fi
fi

exit 0
# vim: ts=4 sts=4 sw=4 noet:
