#!/bin/sh
# Used for feasibility check of package uninstall / upgrade

SZF_MIGRATOR_PROGRESS="/var/packages/MigrationAssistant/etc/progress"
SZF_REMOTE_ARCHIVE="/.syno_migration_archive.tar"

PKG_LIST=$1
PKG_ARRAY=$(echo $PKG_LIST | tr "," "\n")

for pkg in $PKG_ARRAY; do
	if [ "MigrationAssistant" == "$pkg" ]; then
		if [ -f $SZF_MIGRATOR_PROGRESS ]; then
			status=$(jq -r .status $SZF_MIGRATOR_PROGRESS)
			main_stage=$(jq -r .main_stage $SZF_MIGRATOR_PROGRESS)

			# migrator is finished in this state
			if [ "finished" == "$main_stage" ]; then
				exit 0
			fi

			# migration is still running
			if [ "running" == "$status" ] || [ "paused" == "$status" ] ||
			   [ "pausing" == "$status" ] || [ "cancelling" == "$status" ] || [ "error" == "$status" ]; then
				exit 1
			fi
		fi
	fi
done

exit 0
